Subject: Re : Big discount Ready to ship !
From: Tina Xu <[email-masked]>
To: [email-masked]
Date: Tue, 12 Sep 2023 19:45:26 +0800

Dear my friend,

Good day !

Hope you are doing well .

Thanks for taking your precious time to reading my email .Hope you everything going well .It's been long time no received inquiry from you ,I am confused whether it's because there is no purchase plans or because you are not satisfied with our prices and services.

Your feedback is very important to me. I would be very grateful if you could share it with me.

I know my greeting email will bother you ,I hope you can forgive me .I just want when you have purchase plans or new proejcts ,I can give you best support .Any way ,looking forward to hearing from you .

Below I have attached our products for your reference .Large inventory ,ready to ship !

Best Regards ,

Tina | Sales Manager

Industrial Pipeline Division.

HUNAN GREAT STEEL PIPE CO., LTD (HGSP)

Tel: (0086)731 88890156    Mobile: (0086)18329004020

Fax: (0086)731-88678508   Whatsapp/facebook/wechat: +8618329004020

Email: [email-masked];  [email-masked]

Hunan Steel Industrial Zone, Tianxin Special District,Changsha City,China